// WhatVersionDlg.h : header file
//

#if !defined(AFX_WHATVERSIONDLG_H__41C92E90_3B3D_11D4_9FE0_080009EE62AA__INCLUDED_)
#define AFX_WHATVERSIONDLG_H__41C92E90_3B3D_11D4_9FE0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWhatVersionDlg dialog

class CWhatVersionDlg : public CDialog
{
// Construction
public:
	CWhatVersionDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWhatVersionDlg)
	enum { IDD = IDD_WHATVERSION_DIALOG };
	CEdit	m_Version;
	CButton	m_Ok;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWhatVersionDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CToolTipCtrl m_ToolTips;

	// Generated message map functions
	//{{AFX_MSG(CWhatVersionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WHATVERSIONDLG_H__41C92E90_3B3D_11D4_9FE0_080009EE62AA__INCLUDED_)
